Package org.eclipse.net4j.util.concurrent

## Interface DelegableReentrantLock.DelegateDetector

- Enclosing class:
    DelegableReentrantLock

      public static interface DelegableReentrantLock.DelegateDetector

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `DelegableReentrantLock.DelegateDetector.Factory` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isDelegate​(java.lang.Thread thread, java.lang.Thread owner)` |

- - ### Method Detail

    - #### isDelegate

          boolean isDelegate​(java.lang.Thread thread,
                             java.lang.Thread owner)